From: "Manuel Rüger" <mrueg@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/kombu/
Date: Sat, 19 Mar 2016 13:36:56 +0000 (UTC) [thread overview]
Message-ID: <1458394604.c578cab61a253d5298813fd11f5e4f0251eff10c.mrueg@gentoo> (raw)
commit: c578cab61a253d5298813fd11f5e4f0251eff10c
Author: Manuel Rüger <mrueg <AT> gentoo <DOT> org>
AuthorDate: Sat Mar 19 13:36:26 2016 +0000
Commit: Manuel Rüger <mrueg <AT> gentoo <DOT> org>
CommitDate: Sat Mar 19 13:36:44 2016 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=c578cab6
dev-python/kombu: Version bump to 3.0.34
Package-Manager: portage-2.2.28
dev-python/kombu/Manifest | 1 +
dev-python/kombu/kombu-3.0.34.ebuild | 111 +++++++++++++++++++++++++++++++++++
2 files changed, 112 insertions(+)
diff --git a/dev-python/kombu/Manifest b/dev-python/kombu/Manifest
index 7aaa220..a78c1d4 100644
--- a/dev-python/kombu/Manifest
+++ b/dev-python/kombu/Manifest
@@ -4,3 +4,4 @@ DIST kombu-3.0.29.tar.gz 378270 SHA256 970a55ec65e668403c3e6ef4aa221336256838788
DIST kombu-3.0.30.tar.gz 380706 SHA256 b902fe768ea49173c7c26b117bf6c51d258f822d00d753e543b7e2285540f85a SHA512 91d43c7bf9902fe58b2a06f81286be81945c751ca4677a7ab9c78287e006726908b143510efcb4abf91b584f2fa0be7828df5631f552665fb3bbd9806f703075 WHIRLPOOL 75d62e8e395205157e1d018b6e20cc7f2b5ba0a7dd7ec40cfc21e0341aa9108eafd811277a0a9ed0fa6f1f41b9e96b7d1e8e4c32674e6db601b418afe6e70e3e
DIST kombu-3.0.32.tar.gz 380958 SHA256 d3edda02076ae04fa62d128007756f4c4298fe479119ca070a47a22afe867660 SHA512 ffdccbdb9ddde28b5eb159dcc9697d48dddfbb1b74f9f9ced8eed92a25e53d21b5e2aa3a770b014397c73a92102a9d8dc9839bcdd1f49e1700fdfd79c5fcf022 WHIRLPOOL e7af358e76088039c8a407a2ea383208be4e4b5e37965dd88fae690dd7b7117829ac2d5c49f22374d8425f92a6c651520955526b1342dd7b5ed407d50f0d56d2
DIST kombu-3.0.33.tar.gz 379423 SHA256 853d18ca958a598787ceb8c297a369745b82965bf28276861272f14745977999 SHA512 1f2772b79087038f5ec802fc8c1d511dc5e1de9bb663fb36878b5af4b0f925f83961e80a34f8a71af6d78fd45c719dfc62275923353ff38d06af5dae361f2059 WHIRLPOOL e55cdcaa550e1829b0d7cd00e03c63983f9a5525a6587428eabac6bc3379c1ba85e47173ffd14047edfc54f10391145c19fc0621074798fa7bb1e34b400f6fce
+DIST kombu-3.0.34.tar.gz 380374 SHA256 8878ff19b09d86b2689682a4a3eb163d70115ef4ebd974966079a0edd80075da SHA512 9de5d9e4784d814f8c40633bfac08a4e9279d55d2122d1cfdee6418066ba61e0ef7dcaba9cf21d2b0b99989ba292125bbe4b38be90ecc288cb038aea638d1508 WHIRLPOOL d0dfe755af559f4c1d0e8fb6bbe3c7767874a34db57f4958196b853147061e078fac9d5ab31957ab88707220e738a05248afa5d86d9fbdd1a5619aab80d9711a
diff --git a/dev-python/kombu/kombu-3.0.34.ebuild b/dev-python/kombu/kombu-3.0.34.ebuild
new file mode 100644
index 0000000..5e0a228
--- /dev/null
+++ b/dev-python/kombu/kombu-3.0.34.ebuild
@@ -0,0 +1,111 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+PYTHON_COMPAT=( python{2_7,3_3,3_4} pypy )
+
+inherit distutils-r1
+
+DESCRIPTION="AMQP Messaging Framework for Python"
+HOMEPAGE="https://pypi.python.org/pypi/kombu https://github.com/celery/kombu"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="amqplib doc examples msgpack sqs test"
+
+# couchdb backend support possible via dev-python/couchdb-python
+# ditto dev-python/kazoo(>=1.3.1) and dev-python/beanstalkc
+PY27_GEN_USEDEP=$(python_gen_usedep python2_7)
+PYPY_GEN_USEDEP=$(python_gen_usedep python2_7 pypy)
+RDEPEND="
+ >=dev-python/anyjson-0.3.3[${PYTHON_USEDEP}]
+ >=dev-python/py-amqp-1.4.9[${PYTHON_USEDEP}]
+ <dev-python/py-amqp-2.0[${PYTHON_USEDEP}]
+ dev-python/pyro:4[${PYTHON_USEDEP}]
+ $(python_gen_cond_dep '>=dev-python/pyzmq-13.1.0[${PYTHON_USEDEP}]' 'python*')
+ amqplib? ( >=dev-python/amqplib-1.0.2[${PYTHON_USEDEP}] )
+ sqs? ( >=dev-python/boto-2.13.3[${PY27_GEN_USEDEP}] )
+ msgpack? ( >=dev-python/msgpack-0.3.0[${PYTHON_USEDEP}] )"
+# Fix to https://github.com/celery/kombu/issues/474 obliges dev-python/pymongo to >=-3.0.2
+DEPEND="${RDEPEND}
+ >=dev-python/setuptools-0.7[${PYTHON_USEDEP}]
+ test? (
+ >=dev-python/unittest2-0.5.0[${PYTHON_USEDEP}]
+ dev-python/nose[${PYTHON_USEDEP}]
+ dev-python/nose-cover3[${PYTHON_USEDEP}]
+ >=dev-python/coverage-3.0[${PYTHON_USEDEP}]
+ >=dev-python/mock-0.7.0[${PYPY_GEN_USEDEP}]
+ dev-python/django[${PYTHON_USEDEP}]
+ >=dev-python/redis-py-2.10.3[${PYTHON_USEDEP}]
+ >=dev-python/pymongo-3.0.2[${PYTHON_USEDEP}]
+ >=dev-python/pyyaml-3.10[${PYTHON_USEDEP}] )
+ doc? (
+ dev-python/sphinx[${PYTHON_USEDEP}]
+ dev-python/django[${PYTHON_USEDEP}]
+ dev-python/beanstalkc[${PY27_GEN_USEDEP}]
+ dev-python/couchdb-python[${PYTHON_USEDEP}]
+ >=dev-python/sphinxcontrib-issuetracker-0.9[${PYTHON_USEDEP}] )"
+
+# kazoo and sqlalchemy are optional packages for tests.
+# Refrain for now, no established demand for it from users
+
+# Req'd for test phase
+DISTUTILS_IN_SOURCE_BUILD=1
+
+PY27_REQUSE="$(python_gen_useflags 'python2.7')"
+REQUIRED_USE="
+ sqs? ( ${PY27_REQUSE} )
+ doc? ( ${PY27_REQUSE} amqplib sqs )" # 2 deps in doc build are py2 capable only
+
+PATCHES=(
+ "${FILESDIR}"/${PN}-NA-tests-fix.patch
+ )
+
+pkg_setup() {
+ use doc && DISTUTILS_ALL_SUBPHASE_IMPLS=( python2.7 )
+}
+
+python_prepare_all() {
+ # https://github.com/celery/kombu/issues/246
+ sed -e 's:kombu.transports:kombu.transport:' -i funtests/tests/test_django.py
+ distutils-r1_python_prepare_all
+}
+
+python_compile_all() {
+ # Doc build must be done by py2.7
+ # Doc build misses and skips only content re librabbitmq which is not in portage
+ if use doc; then
+ emake -C docs html || die "kombu docs failed installation"
+ fi
+}
+
+python_test() {
+ export DJANGO_SETTINGS_MODULE="django.conf"
+ # https://github.com/celery/kombu/issues/474
+ # tests need </pymongo-3.0; known to cause some breakage
+ if python_is_python3; then
+ 2to3 --no-diffs -w build/lib/kombu/transport/
+ nosetests --py3where=build/lib kombu/tests || die "Tests failed under ${EPYTHON}"
+ else
+ nosetests "${S}"/kombu/tests || die "Tests failed under ${EPYTHON}"
+ # funtests appears to be coded only for py2, a kind of 2nd tier. pypy fails 6.
+ # https://github.com/celery/kombu/issues/411
+ # Fix to https://github.com/celery/kombu/issues/474 breaks the
+ # funtests under >=dev-python/pymongo-3.0.2
+# if [[ "${EPYTHON}" == python2.7 ]]; then
+# pushd funtests > /dev/null
+# esetup.py test
+# popd > /dev/null
+# fi
+ fi
+}
+
+python_install_all() {
+ use examples && local EXAMPLES=( examples/. )
+ use doc && local HTML_DOCS=( docs/.build/html/. )
+ distutils-r1_python_install_all
+}
next reply other threads:[~2016-03-19 13:37 UTC|newest]
Thread overview: 87+ messages / expand[flat|nested] mbox.gz Atom feed top
2016-03-19 13:36 Manuel Rüger [this message]
-- strict thread matches above, loose matches on Subject: below --
2025-03-31 7:10 [gentoo-commits] repo/gentoo:master commit in: dev-python/kombu/ Michał Górny
2025-03-31 7:10 Michał Górny
2025-03-25 5:33 Michał Górny
2025-03-25 5:33 Michał Górny
2025-03-14 6:32 Michał Górny
2025-03-13 20:03 Arthur Zamarin
2025-02-20 5:06 Michał Górny
2025-02-20 5:06 Michał Górny
2024-10-30 3:41 Michał Górny
2024-10-15 7:00 Michał Górny
2024-10-15 7:00 Michał Górny
2024-09-20 5:12 Michał Górny
2024-09-20 5:12 Michał Górny
2024-09-11 18:39 Michał Górny
2024-08-07 14:10 Michał Górny
2024-06-20 15:20 Michał Górny
2024-06-20 15:20 Michał Górny
2024-04-14 15:28 Michał Górny
2024-04-12 3:35 Michał Górny
2024-04-12 3:35 Michał Górny
2024-03-28 5:55 Michał Górny
2024-01-13 8:20 Michał Górny
2023-12-30 18:30 Michał Górny
2023-11-17 7:57 Michał Górny
2023-11-13 18:49 Michał Górny
2023-11-06 6:22 Michał Górny
2023-08-31 13:22 Michał Górny
2023-07-24 11:32 Michał Górny
2023-06-16 4:05 Michał Górny
2023-06-16 4:05 Michał Górny
2023-06-04 5:44 Michał Górny
2023-04-13 15:30 Michał Górny
2023-04-13 15:20 Michał Górny
2023-02-21 7:41 Michał Górny
2023-01-10 14:42 Michał Górny
2022-10-23 18:57 Arthur Zamarin
2022-10-17 5:28 Michał Górny
2022-10-08 9:38 Michał Górny
2022-10-08 9:36 Michał Górny
2022-05-16 13:20 Michał Górny
2022-03-15 22:17 Michał Górny
2022-01-13 1:04 Louis Sautier
2021-12-29 6:10 Arthur Zamarin
2021-11-14 8:46 Michał Górny
2021-11-08 8:31 Michał Górny
2021-11-02 22:59 Michał Górny
2021-09-11 16:28 Michał Górny
2021-08-22 7:05 Arthur Zamarin
2021-07-05 13:25 Michał Górny
2020-12-02 8:58 Michał Górny
2020-12-02 8:32 Mikle Kolyada
2020-11-25 10:11 Michał Górny
2020-10-17 21:53 Matthew Thode
2020-05-30 17:52 Matthew Thode
2020-05-16 21:21 Matthew Thode
2020-03-27 21:06 Michał Górny
2020-02-02 15:34 Michał Górny
2019-11-19 18:36 Matthew Thode
2019-10-31 21:29 Matthew Thode
2019-06-30 21:57 Zac Medico
2019-05-11 18:17 Matthew Thode
2019-04-09 7:05 Matthew Thode
2018-09-28 20:33 Matt Thode
2018-09-04 2:04 Matt Thode
2018-09-01 5:30 Matt Thode
2018-03-09 17:59 Matt Thode
2018-02-13 20:21 Matt Thode
2017-08-27 8:21 Matt Thode
2017-08-27 4:26 Matt Thode
2017-02-12 15:44 Agostino Sarubbo
2017-02-04 15:21 Agostino Sarubbo
2017-01-20 9:43 Zac Medico
2016-10-29 23:15 Mike Gilbert
2016-10-29 23:15 Mike Gilbert
2016-10-12 21:39 Zac Medico
2016-08-06 16:51 Michał Górny
2016-03-25 4:37 Matt Thode
2016-02-28 6:43 Matt Thode
2016-01-10 8:23 Justin Lecher
2015-12-17 16:28 Justin Lecher
2015-12-11 6:34 Ian Delaney
2015-12-11 6:34 Ian Delaney
2015-12-09 19:07 Michał Górny
2015-12-07 9:11 Justin Lecher
2015-10-27 9:04 Justin Lecher
2015-10-19 16:29 Justin Lecher
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1458394604.c578cab61a253d5298813fd11f5e4f0251eff10c.mrueg@gentoo \
--to=mrueg@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox